/*
*
* CwBdReportlockMapper.java
* Copyright(C) 2017-2020 DHCC
* @date 2020-07-17
*/
package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdReportlock;
import com.dhcc.finance.main.domain.CwBdReportlockExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdReportlockMapper {
    /**
     *
     * @mbg.generated 2020-07-17
     */
    long countByExample(CwBdReportlockExample example);

    /**
     *
     * @mbg.generated 2020-07-17
     */
    int deleteByExample(CwBdReportlockExample example);

    /**
     *
     * @mbg.generated 2020-07-17
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbg.generated 2020-07-17
     */
    int insert(CwBdReportlock record);

    /**
     *
     * @mbg.generated 2020-07-17
     */
    int insertSelective(CwBdReportlock record);

    /**
     *
     * @mbg.generated 2020-07-17
     */
    List<CwBdReportlock> selectByExample(CwBdReportlockExample example);

    /**
     *
     * @mbg.generated 2020-07-17
     */
    CwBdReportlock selectByPrimaryKey(String id);

    /**
     *
     * @mbg.generated 2020-07-17
     */
    int updateByExampleSelective(@Param("record") CwBdReportlock record, @Param("example") CwBdReportlockExample example);

    /**
     *
     * @mbg.generated 2020-07-17
     */
    int updateByExample(@Param("record") CwBdReportlock record, @Param("example") CwBdReportlockExample example);

    /**
     *
     * @mbg.generated 2020-07-17
     */
    int updateByPrimaryKeySelective(CwBdReportlock record);

    /**
     *
     * @mbg.generated 2020-07-17
     */
    int updateByPrimaryKey(CwBdReportlock record);
    /**
     * 功能描述：查询会计期间最大值
     * @return CwBdReportlock
     * @author likai
     * @date 2020年7月18日 下午4:50:10
     * @修改日志：
     */
    CwBdReportlock selectMaxLockPeroid();
}